Skip to main content
PATCH
Change a webhook

Authorizations

Authorization
string
header
required

An access token from POST /oauth/token (your API key's id and secret). It lasts 10 minutes.

Path Parameters

id
string<uuid>
required

Body

application/json
name
null | string
required
url
null | string
required
enabled
null | boolean
required
scopes
null | string[]
required
addScopes
null | string[]
required
removeScopes
null | string[]
required
setHeaders
null | object[]
required
removeHeaders
null | string[]
required
bodyTemplate
null | string
required

Response

OK

id
string<uuid>
required
name
string
required
url
string
required
enabled
boolean
required
scopes
string[]
required
headers
object[]
required
bodyTemplate
string
required
standardBody
boolean
required
createdAt
string<date-time>
required
createdByName
string
required
updatedAt
null | string<date-time>
required
updatedByName
null | string
required
lastSentAt
null | string<date-time>
required
waiting
required
failedThisWeek
required
createdByApiKeyId
null | string<uuid>
createdByApiKeyRevokedAt
null | string<date-time>